html {
    width: 100%;
    height: auto;
}

body {
    font-size: 14px;
    font-family:  arial;
    width: 100%;
    height: auto;
    color: #6b848b;
    margin: 0;
}

.background {
    background-image: url(../image_fichiers/fond_avec_Laurent3.png),
        linear-gradient(to bottom, #6b848b 10%, white 60%);
    background-repeat: no-repeat,
        no-repeat;
    background-position: bottom,
        top;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

    img.background {
        align-self: flex-end;
        image-orientation: flip;
    }

.page {
    display: flex;
    flex-direction: column;
    background-color: white;
    width: 80%;
    height: 100%;
    box-shadow: 0px 8px 10px 3px grey;
    margin-top: 20px;
}

header {
	display: flex;
    justify-content: space-around;
    align-items: center;
    height: 170px;
    width: 100%;
}

    .logo>img {
        width: 100%;
        max-width: 150px;
        height: auto;
        max-height: 150px;
        margin-top: 10px;
    }

    .bandeau>img {
        width: 100%;
        max-width: 600px;
        height: auto;
        max-height: 150px;
        margin-top: 20px;
    }

        #slider {
            width: 100%;
            max-width: 600px;
            overflow: hidden;
        }

        #slider figure {
            position: relative;
            width: 500%;
            margin: 0px;
            padding: 0px;
            font-size: 0px;
            text-align: left;
            animation: 30s slidy infinite;
        }

        #slider figure img {
            width: 20%;
            height: auto;
            float: left;
        }

            @keyframes slidy {
                0% { left: 0%; }
                20% { left: 0%; }
                25% { left: -100%; }
                45% { left: -100%; }
                50% { left: -200%; }
                70% { left: -200%; }
                75% { left: -300%; }
                95% { left: -300%; }
                100% { left: -400%; }
            }

    .drapeau {
	    align-self: flex-start;
    }

        .img_flag:hover {
            border-bottom: 2px solid black;
        }

    .span_langage {
	    font-size: 14px;
	    position: relative;
	    bottom: 14px;
    }

nav {
	width: 100%;
    height: 50px;
    display: flex;
    flex-direction: row;
    margin-top: 20px;
    font-variant: small-caps;
    font-weight: 650;
    position: relative;
}

    .feux {
        height: 100%;
        width: 30%;
        padding: 0px 50px 0px 50px;
        border-top: 1px solid#6b848b;
        border-right: 2px solid;
        border-image: linear-gradient(to bottom, white 0%, #6B848B 100%);
        border-image-slice: 1;
        border-width: 2px;
        display: flex;
        justify-content: center;
        align-items: center;
        background: linear-gradient(white, white, #cad4d6, #6b848b);
    }

    .burger {
        display: block;
        align-self: center;
        justify-self: center;
        width: 100%;
        height: auto;
        cursor: pointer;
    }

    .burger img {
        height: 20px;
    }

    .div_nav_mobile_all {
        position: relative;
        display: inline-block;
        margin-block-start: 10px;
        width: 100%;
        height: auto;

    }

    .div_nav_mobile_item {
        display: none;
        margin-top: 20px;
        background-color: white;

    }

    .div_nav_mobile_item a {
        display: block;
        
    }

    .div_nav_mobile_all:hover .div_nav_mobile_item {
        display: block;
        width: 100%;
        height: auto;
    }
    

    .div_nav_mobile_all {
	    display: none;
    }

    .div_nav_all {
        width: 100%;
    height: 50px;
    display: flex;
    flex-direction: row;
    font-variant: small-caps;
    font-weight: 650;
    }


    .nav_item {
        height: 100%;
        width: 100%;
        max-width: 200px;
        border-top: 1px solid #6b848b;
        border-right: 2px solid;
        border-image: linear-gradient(to bottom, white 0%, #6B848B 100%);
        border-image-slice: 1;
        border-width: 2px;
        background: linear-gradient(white, white, #cad4d6, #6b848b);
        text-align: center;
    }

    .nav_item:hover {
        color: white;
        background: #6b848b;
        border-radius: 20% 20% 0% 0%;
        height: 120%;
        margin-top: -10px;
    }

        #accueil {
            display: flex;
            justify-content: center;
            align-items: center;
        }

        #present {
            display: flex;
            justify-content: center;
            align-items: center;
        }

.main {
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 100%;
}

aside {
    width: 25%;
    height: auto;
    display: flex;
    flex-direction: column;
    box-shadow: 5px 0px 10px 3px grey;
}

    .aside_nav {
        width: 100%;
        height: 50%;
        margin-top: 50px;
        background-image: url(../image_fichiers/fond_smenu.png);
        background-repeat: no-repeat;
        background-size: cover;
        font-variant: small-caps;
    }

        .aside_nav_item {
            border-top: 2px solid;
            border-image: linear-gradient(to right, white 0%, #6B848B 100%);
            border-image-slice: 1;
            border-width: 2px;
            height: 30px;
            display: flex;
            justify-content: flex-end;
            align-items: center;
            padding-right: 10px;
            font-weight: 550;


        }

            #qui {
                border-bottom: 2px solid #6b848b;
            }

            .aside_nav_item:hover {
                font-weight: bold;
                background-color: #cad4d6;
            }
    
    #aside_logo {
        display: flex;
        justify-content: center;
        width: 100%;
        height: auto;
    }

        #aside_logo img {
            max-width: 60%;
            height: auto;
        }

section {
    width: 100%;
    height: auto;
    min-height: 100px;
    margin-left: 20px;
}

    h2 {
        font-variant: small-caps;
        margin-left: 20px;
        font-weight: 500;
    }

    #echec {
        float: right;
        height: 120px;
        width: 200px;
        margin-right: 150px;
        margin-top: 30px;
        margin-left: 50px;
        margin-bottom: 30px;
    }

    p {
        margin-left: 30px;
        margin-top: 20px;
        margin-right: 50px;
        padding: 20px;
        font-weight: 550;
    }

footer {
    height: 30px;
    width: 40%;
    border-top: 1px solid #6b848b;
    border-radius: 10px 10px 0px 0px;
    border-left: 1px solid #6b848b;
    border-right: 1px solid #6b848b;
    background-color: #cad4d6;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin-top: 30px;
}

    .footer_item {
        font-size: 10px;
        margin-left: 20px;
        margin-right: 20px;
    }

        .footer_item:hover {
            text-decoration: underline;
        }

/* Tablettes 'n' Mobiles */
@media only screen and (max-width: 1024px) {
    .page {
        margin-top: 100px;
    }
    #aside_logo {
        margin-top: 400px;
    }
}

@media only screen and (max-width: 960px) {
}

@media only screen and (max-width: 800px) {
    .background {
        width: 100%;
        height: 100%;
    }
    .page {
        margin-top: 20px;
    }

    .drapeau img {
        width: min-content;
        height: auto;
    }
    .feux {
        width: 10%;
    }
    nav {
        font-size: 10px;
    }
    .aside_nav {
        font-size: 10px;
        height: 30%;
        margin-bottom: 400px;
    }
    #aside_logo {
        margin-top: 200px;
    }
    #echec {
        float: none;
    }
}

@media only screen and (max-width: 600px) {
    header {
        display: flex;
        flex-direction: column;
    }
    .logo {
        width: 20%;
        height: auto;
    }
    
	.div_nav_all {
		display: none;
	}
	.div_nav_mobile_all {
		display: block;
    }
    .feux {
        display: none;
    }
    aside {
        display: none;
    }
    section {
        overflow: auto;
        font-size: 8px;
        margin: 0;
    }
    #echec {
        display: block;
        margin: auto;
    }
    footer {
        width: 60%;
    }
}

@media only screen and (max-width: 380px) {
    .drapeau {
        display: none;
    }
    section {
        overflow: auto;
    }
    header {
        display: flex;
        flex-direction: column;
    }
    .logo {
        width: 30%;
        height: auto;
    }
    p {
        margin: 0;
    }
    footer {
        width: 75%;
    }
}

@media only screen and (max-width: 320px) {
    section {
        overflow: auto;
    }
    #echec {
        width: 100px;
        height: 60px;
    }
    h2 {
        font-size: 8px;
    }
    footer {
        width: 80%;
    }
}

/* IE10+ CSS */
@media all and (-ms-high-contrast: none), (-ms-high-contrast: active)	{
}

/* IE Edge 12+ CSS */ 
@supports (-ms-accelerator:true) {
}

